/****************************************************************************

   mod_dav_pgsql (DASL) for apache 2.X
   CopyRight(C) 2005 SolutionBox Inc. All Rights reserved.
   CopyRight(C) 2006 Netomi Inc. All Rights reserved.
   Author : elenoa lazyfake (elenoa@solutionbox.co.kr)

   $Id: share.h,v 1.6 2007/03/19 08:43:12 elenoa Exp $

   Redistribution and use in source and binary forms, with or with out
   modification, are not permitted in outside of SolutionBox Inc.

 ****************************************************************************/

#ifndef __TRANSFER_LOG_H__
#define __TRANSFER_LOG_H__

/*********************************/
/* transfer queue definition */

int dav_initialize_transfer_queue(server_rec *s, apr_pool_t *p);
apr_status_t dav_cleanup_transfer_queue(void *data);

/* transfer queue log definition */
int dav_transfer_log_generate(request_rec *r);

/* transfer progress queue definition */
int dav_transfer_progess_generate(request_rec *r, int bound, apr_size_t size, apr_size_t org_sent);

#endif //__TRANSFER_LOG_H__

